This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 422331 - vmware has no access to X
vmware has no access to X
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-12 14:33 EST by Christopher Stone
Modified: 2008-01-30 14:18 EST (History)
0 users

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:18:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2007-12-12 14:33:24 EST
Description of problem:
When running vmware in enforcing mode, it is unable to display any graphics and
just displays a blank screen.

Version-Release number of selected component (if applicable):
selinux-policy-3.0.8-68.fc8

Additional info:
The following module fixes the problem for me:

policy_module(mymod, 1.0)
 
require {
        type xdm_xserver_t;
        type vmware_host_t;
        class shm { read unix_read getattr associate };
}
 
#============= xdm_xserver_t ==============
allow xdm_xserver_t vmware_host_t:shm { read unix_read getattr associate };
Comment 1 Daniel Walsh 2007-12-26 18:24:31 EST
Fixed in selinux-policy-3.0.8-71.fc8
Comment 2 Daniel Walsh 2008-01-30 14:18:43 EST
Bulk closing all bugs in Fedora updates in the modified state.  If you bug is
not fixed, please reopen.

Note You need to log in before you can comment on or make changes to this bug.